# -*- coding: utf-8 -*-

ENABLE_API_DOC = True

THX_OPENAPI_DEFAULT_PROFILE = "superuser"
THX_OPENAPI_REPLACE_PROFILE_IN_URLS = True
THX_OPENAPI_TAGS_EXCLUDE_PATTERNS = [r"^v\d+$", r"^api$"]

THX_OPENAPI_ENABLE_SWAGGER_UI_URL = True
THX_OPENAPI_ENABLE_REDOC_URL = True

THX_OPENAPI_DOCSTRING_ACTIONS_SEPARATOR = ":action"
SPECTACULAR_SETTINGS = {
    'TITLE': '< your API doc title >',
    'DESCRIPTION': '< your API doc description >',
    'VERSION': '1.0.0',
    'SERVE_INCLUDE_SCHEMA': False,
    'DEFAULT_GENERATOR_CLASS': 'thx.openapi.ThuxSchemaGenerator',
}
